[pbuilder] 01/03: modules: more robust handling of /sys mounting while discerning on DEB_BUILD_ARCH_OS

Mattia Rizzolo mattia at debian.org
Fri Jun 10 19:29:59 UTC 2016


This is an automated email from the git hooks/post-receive script.

mattia pushed a commit to branch master
in repository pbuilder.

commit 983c1c67ecf54a25eac402c7458f537f7fc54c25
Author: Mattia Rizzolo <mattia at debian.org>
Date:   Fri Jun 10 16:13:48 2016 +0000

    modules: more robust handling of /sys mounting while discerning on DEB_BUILD_ARCH_OS
    
    Gbp-Dch: Ignore
---
 pbuilder-modules | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/pbuilder-modules b/pbuilder-modules
index 04ce4fc..5a51432 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -1,7 +1,7 @@
 #! /bin/bash
 #   pbuilder -- personal Debian package builder
 #   Copyright © 2001-2009 Junichi Uekawa <dancer at debian.org>
-#               2015      Mattia Rizzolo <mattia at debian.org>
+#               2015-2016 Mattia Rizzolo <mattia at debian.org>
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -308,9 +308,13 @@ function mountproc () {
             kfreebsd)
                 mount -t linsysfs linsysfs "$BUILDPLACE/sys"
                 ;;
-            *)
+            linux)
                 mount -t sysfs -o nosuid,nodev,noexec sysfs "$BUILDPLACE/sys"
                 ;;
+            *)
+                log.e "Unknown DEB_BUILD_ARCH_OS, can't mount /sys"
+                exit 1
+                ;;
         esac
         mounted[${#mounted[@]}]="$BUILDPLACE/sys"
     fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pbuilder/pbuilder.git



More information about the Pbuilder-maint mailing list